Bug 560417 - SELinux is preventing /usr/bin/python "search" access on /root/.local.
Summary: SELinux is preventing /usr/bin/python "search" access on /root/.local.
Keywords:
Status: CLOSED ERRATA
Alias: None
Product: Fedora
Classification: Fedora
Component: selinux-policy
Version: 12
Hardware: x86_64
OS: Linux
low
medium
Target Milestone: ---
Assignee: Miroslav Grepl
QA Contact: Fedora Extras Quality Assurance
URL:
Whiteboard: setroubleshoot_trace_hash:56547bb417a...
Depends On:
Blocks:
TreeView+ depends on / blocked
 
Reported: 2010-01-31 16:13 UTC by alexandre
Modified: 2010-02-13 12:07 UTC (History)
5 users (show)

Fixed In Version: 3.6.32-84.fc12
Doc Type: Bug Fix
Doc Text:
Clone Of:
Environment:
Last Closed: 2010-02-11 14:42:08 UTC


Attachments (Terms of Use)

Description alexandre 2010-01-31 16:13:21 UTC
Sumário:

SELinux is preventing /usr/bin/python "search" access on /root/.local.

Descrição detalhada:

[udev-add-printe tem um tipo permissivo (cupsd_config_t). Esse acesso não foi
negado.]

SELinux denied access requested by udev-add-printe. It is not expected that this
access is required by udev-add-printe and this access may signal an intrusion
attempt. It is also possible that the specific version or configuration of the
application is causing it to require additional access.

Permitindo acesso:

You can generate a local policy module to allow this access - see FAQ
(http://docs.fedoraproject.org/selinux-faq-fc5/#id2961385) Please file a bug
report.

Informações adicionais:

Contexto de origem            system_u:system_r:cupsd_config_t:s0-s0:c0.c1023
Contexto de destino           system_u:object_r:gconf_home_t:s0
Objetos de destino            /root/.local [ dir ]
Origem                        udev-add-printe
Caminho da origem             /usr/bin/python
Porta                         <Desconhecido>
Máquina                      (removed)
Pacotes RPM de origem         python-2.6.2-4.fc12
Pacotes RPM de destino        
RPM da política              selinux-policy-3.6.32-78.fc12
Selinux habilitado            True
Tipo de política             targeted
Modo reforçado               Enforcing
Nome do plugin                catchall
Nome da máquina              (removed)
Plataforma                    Linux (removed) 2.6.31.12-174.2.3.fc12.x86_64 #1
                              SMP Mon Jan 18 19:52:07 UTC 2010 x86_64 x86_64
Contador de alertas           1
Visto pela primeira vez em    Dom 31 Jan 2010 14:05:47 BRST
Visto pela última vez em     Dom 31 Jan 2010 14:05:47 BRST
ID local                      a7da4f7f-1c3d-4c10-8179-077e00b59f57
Números de linha             

Mensagens de auditoria não p 

node=(removed) type=AVC msg=audit(1264953947.107:7): avc:  denied  { search } for  pid=1437 comm="udev-add-printe" name=".local" dev=dm-0 ino=396755 scontext=system_u:system_r:cupsd_config_t:s0-s0:c0.c1023 tcontext=system_u:object_r:gconf_home_t:s0 tclass=dir

node=(removed) type=SYSCALL msg=audit(1264953947.107:7): arch=c000003e syscall=4 success=yes exit=128 a0=23ca510 a1=7fffacd67730 a2=7fffacd67730 a3=6b6361702d657469 items=0 ppid=1 pid=1437 auid=4294967295 uid=0 gid=0 euid=0 suid=0 fsuid=0 egid=0 sgid=0 fsgid=0 tty=(none) ses=4294967295 comm="udev-add-printe" exe="/usr/bin/python" subj=system_u:system_r:cupsd_config_t:s0-s0:c0.c1023 key=(null)



Hash String generated from  selinux-policy-3.6.32-78.fc12,catchall,udev-add-printe,cupsd_config_t,gconf_home_t,dir,search
audit2allow suggests:

#============= cupsd_config_t ==============
allow cupsd_config_t gconf_home_t:dir search;

Comment 1 Daniel Walsh 2010-02-01 20:07:01 UTC
I think you logged in as root one time,   rm -rf /root/.local


Miroslav,  I think we should add


gnome_dontaudit_search_config(cupsd_config_t)

Comment 2 Miroslav Grepl 2010-02-02 13:49:19 UTC
Fixed in selinux-policy-3.6.32-80.fc12

Comment 3 Fedora Update System 2010-02-03 23:21:02 UTC
selinux-policy-3.6.32-82.fc12 has been submitted as an update for Fedora 12.
http://admin.fedoraproject.org/updates/selinux-policy-3.6.32-82.fc12

Comment 4 Fedora Update System 2010-02-05 01:44:40 UTC
selinux-policy-3.6.32-84.fc12 has been pushed to the Fedora 12 testing repository.  If problems still persist, please make note of it in this bug report.
 If you want to test the update, you can install it with 
 su -c 'yum --enablerepo=updates-testing update selinux-policy'.  You can provide feedback for this update here: http://admin.fedoraproject.org/updates/F12/FEDORA-2010-1492

Comment 5 Fedora Update System 2010-02-11 14:37:25 UTC
selinux-policy-3.6.32-84.fc12 has been pushed to the Fedora 12 stable repository.  If problems still persist, please make note of it in this bug report.


Note You need to log in before you can comment on or make changes to this bug.